Subject: Re: bug#64024: 29.0.91; `emoji-insert` shows me confusing empty lists

From: Gregory Heytings <[email-masked]>
Date: Wed, 14 Jun 2023 23:05:59 +0000

>> Perhaps the emoji-* commands (C-x 8 e [eilrs]) should simply error out 
>> when (list-fonts (font-spec :script 'emoji)) is nil?
>
> FWIW, I do like being able to insert some emojis even if I don't have 
> access to all of them (and actually I'd even be happy to insert them 
> without being able to see them, assuming I can see their name instead 
> :-)
>

Yes, but you can still do that with C-x 8 RET, right?  The C-x 8 e 
commands use transient menus, and (as you described in the bug report) 
don't quite work when a suitable emoji font is not available.

In theory, another option would be to display, in these transient menus, 
emoji names instead of emoji characters when no emoji font is available, 
but there is not enough room for list of names such as "SMILING FACE WITH 
SMILING EYES AND HAND COVERING MOUTH" (which fit better in *Completions*).